## 开发

```bash
# 克隆项目
git clone http://172.16.90.201:3000/party_construct/party_construct_web.git

# 进入项目目录
cd party_construct_web

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装依赖，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

# 启动服务
npm run dev
```

浏览器访问 http://localhost:80

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```

## 配置说明

```bash
# 请求基础api
在项目根的【.env.*】文件中配置【 VUE_APP_BASE_API 】的不同环境值，根据不同环境在Nginx中配置反代理，用于向服务端请求数据使用

# 项目标识
在项目根的【.env.*】文件中配置【 VUE_APP_PROJECT_KEY 】的不同环境值，用于不同环境项目标识使用

# 文件上传api
在项目根的【.env.*】文件中配置【 VUE_APP_FILE_UPLOAD_API 】的不同环境值，用于文件上传使用

# 文件预览api
在项目根的【.env.*】文件中配置【 VUE_APP_FILE_VIEW_API 】的不同环境值，根据不同环境在Nginx中配置反代理，用于文件预览使用

```
